@import "../../../colors.scss";

.main {
  width: 100%;
  height: 100%;
  padding: 40px 20px 40px 20px;
  box-sizing: border-box;
  overflow: hidden;
}

.inputWrapper {
  position: relative;

  input {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    background-color: $secondary;
    border: solid 2px $accentDark;
    padding: 10px;
    box-sizing: border-box;
    position: relative;
    font-size: 1rem;
    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    padding-right: 45px;
  }

  .searchButton {
    z-index: 2;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    position: absolute;
    display: block;
    background: transparent;
    border: none;
  }

  .searchIcon {
    height: 25px;
    width: 25px;
    transition: scale 200ms;

    &:hover {
      cursor: pointer;
      path {
        fill: $green;
      }
    }
  }

  img {
    height: 25px;
    width: 25px;
    transition: scale 200ms;
    z-index: 2;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    position: absolute;
    display: block;

    &:hover {
      scale: 1.2;
      cursor: pointer;
    }
  }
}

.addContact {
  h2 {
    font-weight: normal;
    font-size: 1.5rem;
  }
  p {
    margin-top: 10px;
    margin-bottom: 20px;
  }
}

.contact {
  .close {
    height: 0px;
  }

  .open {
    height: 35px;
  }

  .agreement {
    overflow: hidden;
    transition: height 200ms;
    display: flex;

    button {
      background: transparent;
      border: none;
      outline: none;
      color: $white;
      font-family: "JetBrainsMono-Regular";
      font-size: 1rem;
      padding: 0px;
      margin: 0px;
      cursor: pointer;

      &:hover {
        color: $green;
      }
    }

    & > div {
      margin-top: 5px;
      display: flex;

      column-gap: 2rem;
      border-bottom: 2px solid $accent;
    }
  }

  .info {
    display: flex;
    flex-direction: row;
    font-size: 1.3rem;
    margin-top: 10px;
  }

  &:hover {
    .name,
    .separator,
    .user,
    .added {
      color: $green;
    }
    cursor: pointer;
  }

  .separator {
    margin: 0 10px;
    display: block;
  }

  .user {
    opacity: 0.5;
  }

  .added {
    margin-left: 1rem;
  }
}

.contactAdded {
  @extend .contact;
  color: $green;
  cursor: auto !important;
}

.result {
  margin-top: 20px;
  min-height: 0;
  display: flex;
  flex-direction: column;

  .found {
    min-height: 0;
  }

  .found h2 {
    font-weight: normal;

    padding-bottom: 10px;
    border-bottom: 2px solid $accent;
  }

  .noResult h2 {
    font-weight: normal;
    text-align: center;
  }

  .resultHeader {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    button {
      background-color: transparent;
      height: min-content;
      border: none;
    }

    svg {
      height: 1.3rem;
      width: 1.3rem;
      background-color: $secondary;
      padding: 5px;
      border: solid 2px $accentDark;
      &:hover {
        path {
          fill: $accentDark;
        }
      }

      path {
        fill: $white;
      }

      &:hover {
        cursor: pointer;
        fill: $green;
      }
    }
  }
}

.loading {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.list {
  min-height: 0;
  overflow-y: scroll;
  max-height: 100%;
}
